List Jobs
/unified/ats/jobs
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The job's status
allarchivedcancelledcloseddraftinternalinterviewofferon_holdopenpendingscheduledunlisted+ 1 more
24 supported
opencloseddraftarchivedopencloseddraftarchivedpendingallopencloseddraftopencloseddraftopencloseddraftpendingarchiveddraftopeninternalclosedarchivedopendraftclosedinterviewoffercancelledon_holdopendraftarchivedunlistedscheduledallopencloseddraftarchivedThe ID of the organization to filter the jobs by.
1 supported
codecreated_atnameupdated_at
2 supported
created_atupdated_atcodenameupdated_atThe date and time of the job's creation
21 supported
The date and time of the job's last update
17 supported3 notes
The date and time of the job's last update
If you specify this, then all the other query parameters are ignored.
The job's requisition_id
6 supported
The ID of the department to filter the jobs by.
1 supported
The ID of the office to filter the jobs by.
1 supported
The job's name
25 supported
The job's tags
7 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Jobs
The job's unique identifier
25 supported
The date and time of the job's closing
6 supported
The job's code
10 supported
15 supported
7 properties
The job's compensation currency
The job's compensation unique identifier
The job's compensation interval. If no clear mapping exists, then raw value is returned.
yearlymonthlyweeklydailyhourlyone_timesemi_monthlybi_monthlybi_weekly
Whether the job's compensation is negotiable or not
The job's maximum compensation
The job's minimum compensation
The job's compensation notes
Whether the job is confidential or not
12 supported
The date and time of the job's creation
21 supported
The job's department
21 supported
2 properties
Unique identifier of the department
The department's name
The job's description
17 supported
The job's hiring managers
12 supported
2 properties
Unique identifier of the user
The user's name
Whether the job is remote or not
16 supported
The job's position level.
4 supported
The job's job posting urls
12 supported
2 properties
The job posting URL's type
The job posting URL
The job's type.
full_timepart_timecontractinternshiptemporaryvolunteerper_diem
18 supported
The job's locations
18 supported
The job's name
25 supported
The job's office
5 supported
2 properties
Unique identifier of the office
The office's name
The date and time of the job's opening
10 supported
The job's recruiters
11 supported
2 properties
Unique identifier of the user
The user's name
Raw data returned from the remote API call.
The job's requisition_id
6 supported
The job's status
opencloseddraftpendingarchived
24 supported
The job's tags
7 supported
2 supported
The date and time of the job's last update
17 supported
curl -X GET 'https://api.truto.one/unified/ats/jobs?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ats/jobs?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ats/jobs"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ats',
'jobs',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ats",
"jobs",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())